# Uses of Interface
org.springframework.expression.ParserContext

Packages that use ParserContext
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.common
Common utility classes behind the Spring Expression Language.
org.springframework.expression.spel.standard
SpEL's standard parser implementation.

## Uses of ParserContext in org.springframework.expression

Fields in org.springframework.expression declared as ParserContext
Modifier and Type
Field
Description
`static final ParserContext`
ParserContext.`TEMPLATE_EXPRESSION`
The default `ParserContext` implementation that enables template expression parsing.
Methods in org.springframework.expression with parameters of type ParserContext
Modifier and Type
Method
Description
`Expression`
ExpressionParser.`parseExpression(String expressionString, ParserContext context)`
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.

## Uses of ParserContext in org.springframework.expression.common

Classes in org.springframework.expression.common that implement ParserContext
Modifier and Type
Class
Description
`class`
`TemplateParserContext`
Configurable `ParserContext` implementation for template parsing.
Methods in org.springframework.expression.common with parameters of type ParserContext
Modifier and Type
Method
Description
`protected abstract Expression`
TemplateAwareExpressionParser.`doParseExpression(String expressionString, ParserContext context)`
Actually parse the expression string and return an Expression object.
`Expression`
TemplateAwareExpressionParser.`parseExpression(String expressionString, ParserContext context)`

## Uses of ParserContext in org.springframework.expression.spel.standard

Methods in org.springframework.expression.spel.standard with parameters of type ParserContext
Modifier and Type
Method
Description
`protected SpelExpression`
SpelExpressionParser.`doParseExpression(String expressionString, ParserContext context)`